<div style="margin-top: 20px;">
    <h5>
       <span jhiTranslate="mpmApp.shipmentIncoming.home.title">Shipment Incomings</span>
    </h5>
    <p-dataTable
        [value]="shipmentIncomings"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idShipment"
        expandableRows="false"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="buildReindex()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-th-list"></i> &nbsp;{{ 'entity.action.reindex' | translate }}</span></a>
                </li>
             </ul>
            <div>
                <form name="searchForm" class="form-inline">
                    <div class="input-group w-100 mt-3">
                        <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                            name="currentSearch" placeholder="{{ 'mpmApp.shipmentIncoming.home.search' | translate }}">
                        <button class="input-group-addon btn btn-info" (click)="search(currentSearch)" *ngIf="currentSearch">
                            <span class="fa fa-search"></span>
                        </button>
                        <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                            <span class="fa fa-trash-o"></span>
                        </button>
                    </div>
                </form>
             </div><br></br>
             <div>
                <ul class="nav justify-content-end">
                    <li class="nav-item">
                        <button pButton type="button" icon="fa fa-list" class="btn-sm" label="Unit Check" [routerLink]="['../shipment-incoming-unit-check']"></button>
                    </li>
                    <li class="nav-item">
                        <button pButton type="button" icon="fa fa-list" class="btn-sm" label="Aksesoris Check"></button>
                    </li>
                </ul>
             </div>
            <!-- <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.shipmentIncoming.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                    <button type="button" class="input-group-addon flat-style-button" style="margin-left: 50px;"
                        [routerLink]="['../shipment-incoming-new']">
                        <span class="fa fa-plus"></span>
                    </button>
                </div>
            </form> -->
        </p-header>
        <p-column header="">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div class="row">
                    <div class="ui-g-12 ui-md-12">
                        <div class="ui-g">
                            <div class="ui-g-8 ui-sm-8"> <h5>{{rowData.shipmentNumber}}</h5> </div>
                            <div class="ui-g-4 ui-sm-4"> {{rowData.dateSchedulle | date: 'fullDate'}} </div>
                        </div>
                        <div class="ui-g">
                            <div class="ui-g-6 ui-sm-6"> Nomor Refference : {{rowData.description}}</div>
                        </div>
                        <div class="ui-g">
                            <div class="ui-g-6 ui-sm-6"> Tanggal Refference : - </div>
                        </div>
                    </div>
                </div>
            </ng-template>
        </p-column>
        <p-column header="Status" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{getCurrentStatusDesc(rowData.currentStatus)}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.shipmentIncoming.labelAction'|translate}}" [style]="{'width': '150px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['../shipment-incoming/'+ rowData.idShipment + '/detail']"
                        icon="fa-eye"
                        class="flat-button"
                        [style]="{'height':'50px'}">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
    </div>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>